Haz tu Pregunta
0

yum emite un error "preun ... script failed" al remover un paquete

preguntado 2015-02-06 12:43:29 -0500

Imagen Gravatar de softlibre

updated 2015-02-06 13:46:45 -0500

Me he topado con un error que a varios le ha surgido.

Al remover emacs de un sistema Fedora 20 edición KDE, yum (y por consecuencia rpm) me devuelve un error como el siguiente:

error: %preun(NOMBRE COMPLETO DEL PAQUETE) scriptlet failed, exit status 1

Cabe aclarar que el sistema no se actualiza periódicamente.

edit re-etiquetar marcar como ofensivo cerrar fusionar delete

1 Responder

Ordenar por » viejos nuevas más votado
0

respondido 2015-02-06 13:46:22 -0500

Imagen Gravatar de softlibre

Buscando un poco encontré la solución. Mejor que esté aquí oficialmente, ¿no? :-)

Según este foro, el cual posee el mismo error pero sobre Fedora Core 5, en una de sus respuesta indica que se debe ejecutar lo siguiente:

rpm -e emacs --noscripts

Esto evita que se ejecuten los scripts propios luego de remover el paquete emacs y así se desinstala. Luego con instalarlo de nuevo funciona adecuadamente.

Lo probé y hasta el momento funcionó adecuadamente.

edit marcar como ofensivo delete enlace mas

Tu Respuesta

Comience a publicar de forma anónima - su entrada será publicada después de iniciar sesión o crear una nueva cuenta.

Agregar Respuesta

Herramientas de Preguntas

1 seguidor

Estadisticas

Preguntado: 2015-02-06 12:43:29 -0500

Visto: 37 veces

Ultima actualización: Feb 06 '15